db4o |

# Configuration.TimeoutServerSocket Method

configures the timeout of the serverside socket.

void TimeoutServerSocket(
int milliseconds
);

#### Parameters

milliseconds
  time in milliseconds

#### Remarks

configures the timeout of the serverside socket.
All server connection threads jump out of the socket read statement on a regular interval to check if the server was shut down. Use this method to configure the duration of the interval.
Default value: 5000ms (5 seconds)

#### See Also

Configuration Interface | com.db4o.config Namespace